Need to update from 4.2 to 4.3, with hacked wii?

Discussion in 'Wii - Hacking' started by blademaster_62, Nov 25, 2011.

  1. blademaster_62
    OP

    blademaster_62 Newbie

    Newcomer
    3
    0
    Oct 2, 2010
    United States
    Right now, I have a hacked Wii, with system menu 4.2. I need to update my system software so I can play the new Zelda game.
    Problem is, my system is hacked. -_-
    I can use Letterbomb, when I update to 4.3, I know that, but what I need to know, is how do I update the safest way possible? What should I do? Should I format my Wii system memory, or what?
    Please help me. :|
     


  2. Ryoku83

    Ryoku83 GBAtemp Fan

    Member
    324
    3
    Apr 14, 2011
    Canada
    You don't need to update your system menu. I'm Playing Skyward Sword on 4.1 System menu. Just use modmii to rehack your wii. It will download the newest cIOS and loaders for you to play skyward sword. There's a link to Modmii in my signature.
     
  3. Lacius

    Lacius GBAtemp Psycho!

    Member
    4,829
    1,571
    May 11, 2008
    United States
    Just install Priiloader and block updates.
     
  4. blademaster_62
    OP

    blademaster_62 Newbie

    Newcomer
    3
    0
    Oct 2, 2010
    United States
    It's kind of weird, but I kind of just WANT to update to 4.3. It doesn't do anything, but I just want it done. Why? No clue.
    Any options for me?
     
  5. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,918
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    It does do something, it limits what you can run on your Wii. If you want to screw yourself over for the sake of the latest System Menu, it's your choice.
     
  6. nunavat2010

    nunavat2010 GBAtemp Regular

    Member
    195
    3
    Mar 13, 2011
    United States
    Canada
    I just saw this thread!
    It is easy.
    1) Check whether you are running HBC using IOS 58 (it should show on the top right corner when you go into HBC)
    a) If not update IOS 58 (wiibrew has the link) then use hackmii installer again so that HBC will use IOS 58
    2) Goto preloader (or priiloader) unblock network update (if you set it like that)
    3) Then do a system update through Wii setting (official one)
    4) It will be downloaded and will be updated to 4.3 and you will still have HBC

    Caution: I did this with three wii's it did not get bricked, but some claims there is a bricking possibility.
     
  7. nunavat2010

    nunavat2010 GBAtemp Regular

    Member
    195
    3
    Mar 13, 2011
    United States
    Canada
    Like what example please? Assuming, if his wii was 4.2 when he bought it or he updated it to 4.2 before hacking.
     
  8. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,918
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    No region free for modchips, no bannerbomb 1, no bannerbomb 2, bricks region changed Korean Wii's, no DVDX (useless to most people though), and so on. If you want to find everything just do a search yourself.
     
  9. nunavat2010

    nunavat2010 GBAtemp Regular

    Member
    195
    3
    Mar 13, 2011
    United States
    Canada
    I don't see any of them as important and I personally like not having to use custom CIOS, other than the 3-4 necessary ones to run backups, updating shopping channel etc to keep
     
  10. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,918
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
     
  11. Taleweaver

    Taleweaver Storywriter

    Member
    5,405
    1,463
    Dec 23, 2009
    Belgium
    Belgium
     
  12. Luigi2012SM64DS

    Luigi2012SM64DS G-old member

    Banned
    2,060
    309
    Aug 27, 2011
    Canada
    Minecrapt
    don't update your wii, download whatever ios it uses in modmii, install it, block disc updates in priiloader play your zelda game. happy?
     
  13. nunavat2010

    nunavat2010 GBAtemp Regular

    Member
    195
    3
    Mar 13, 2011
    United States
    Canada
    Update your Wii!
    Who would you believe?
    The people who created home brew or people who are trying to scare you?

    The OP wanted to update, so my answer stands. Instead of listening to people here spend some time reading wiibrew!
     
  14. lukands

    lukands I took the little bus here

    Member
    516
    32
    Mar 27, 2009
    Your mamas house
    Kind or related, I also have a 4.2 and 4.1?. Does something like ModMii update everything to 4.3 standards so I can play online with the consoles that are still on 4.2 and/or older.
     
  15. nunavat2010

    nunavat2010 GBAtemp Regular

    Member
    195
    3
    Mar 13, 2011
    United States
    Canada
    really older wii= wii's that can install bootmii as boot2 and the wii's that can play DVD-Rs.

    I know, you can hack older wiis just like new. My point is if your wii is newer, less likely you get your wii bricked. My aim: If somebody ask for help in updating I will tell them how to do.
     
  16. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,918
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    That causes quite a bit of conflict, considering I've made a few apps myself. Besides, wiibrew is mostly crap. They think that the only thing that matters is the HBC. :P
    Yes, it will work fine.
    Lol, what are you talking about? You are more likely to (permanently) brick it if you have a newer Wii.
     
  17. lukands

    lukands I took the little bus here

    Member
    516
    32
    Mar 27, 2009
    Your mamas house
    So the OP wanted to now just how to update to 4.3.......and me too!.
    So is it just as easy as taking the update from the console menu OR does one need to "erase" anything etc..before a system update?
     
  18. Shano56

    Shano56 noobie

    Member
    877
    99
    Apr 29, 2010
    United States
    I hear this update/don't update debate every time I go on these forums... either update or don't. Your choice. Updating through the system menu will update your IOSes and your system menu version. Using modmii will update your [c]IOSes and not your system menu version. People say there's a risk of bricking when updating through the SM, however I've had no troubles.

    If you wish to update, make sure no priiloader hacks will prevent updating, and do it through the system menu settings. Easy as that. I don't know why people have to argue over it.
    If you don't wish to update, then don't - use modmii or something like that.

    @lukands, no you don't have to erase anything...just update like the "system update" button clearly says.
     
  19. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,918
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    If you want to do it (even though you will gain absolutely nothing from it, except the slight chance of a brick), you should do it via ModMii. since it will be safer. Do it as a re-hacking process so everything is installed correctly.

    @Shano56: The SM doesn't update your cIOS's, it stubs them so you can't use them anymore.
     
  20. Shano56

    Shano56 noobie

    Member
    877
    99
    Apr 29, 2010
    United States
    Sorry, I meant to say IOS's